<template>
  <q-item clickable :to="link" exact>
    <q-item-section v-if="icon " avatar>
      <q-icon :name="icon" />
    </q-item-section>

    <q-item-section>
      <q-item-label style="font-size: 17px;">{{ title }}</q-item-label>
      <q-item-label caption>
        {{ caption }}
      </q-item-label>
    </q-item-section>
  </q-item>
</template>

<script>
export default {
  name: 'EssentialLink',
  props: {
    title: {
      type: String,
      required: true,
    },

    caption: {
      type: String,
      default: '',
    },

    link: {
      type: String,
      default: '#',
    },

    icon: {
      type: String,
      default: '',
    },
  },
}
</script>
